epson workforce wf-5190 auf ubuntu mate 16.04

[ geschrieben am 27.09.2018 in blog: der maschinist | tags: #, #, #, #, #, #, #, #, # ]

beim installieren des druckertreibers für den epson workforce wf-5190 auf ubuntu mate 16.04 gibt es das problem, dass lsb 3.2 oder neuer erwartet wird. ich habe mir ein kleines script vorbereitet, das mir den ablauf der installation an den betroffenen maschinen erleichtern soll…

#!/bin/bash

### install_wf5190.bsh

#########################################################################################
###                                                                                   ###
### Install script for EPSON WorkForce WF-5190                                        ###
### on Ubuntu MATE 16.04 LTS                                                          ###
###                                                                                   ###
### Source 1: http://www.openprinting.org/printer/Epson/Epson-WF-5190_Series          ###
### Source 2: http://blog.pztop.com/2016/04/28/Install-Google-Earth-on-Ubuntu-16-04/  ###
###                                                                                   ###
#########################################################################################

# Leere das Terminalfenster
clear
echo -e "Dieses Script soll das Installieren des Druckertreibers fuer den EPSON WorkForce WF-5190 erleichtern.\n" 

# Update the system
echo -e "Zunaechst updaten wir das System...\n"
read -p "Bitte eine Taste druecken, um fortzufahren oder Strg+C zum Abbrechen..." -n1 -s
echo
apt update
apt -y upgrade

# Install dependencies
echo -e "\nFuer die Abhaenigkeiten brauchen wir LSB und WGET. Diese beiden werden nun installiert...\n"
read -p "Bitte eine Taste druecken, um fortzufahren oder Strg+C zum Abbrechen..." -n1 -s
echo
apt -y install lsb-core wget

# Install LSB>=3.2
echo -e "\nNun laden wir eine druckertreiberkompatible Version des LSB-Pakets herunter und installieren es. Keine Sorge wegen der Fehlermeldungen. Das ist halt so... ;-)\n"
read -p "Bitte eine Taste druecken, um fortzufahren oder Strg+C zum Abbrechen..." -n1 -s
echo
mkdir ~/lsb && cd ~/lsb
if [ $(uname -m) == 'x86_64' ]; then
	# 64bit
	wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-security_4.1+Debian11ubuntu6.2_amd64.deb
	wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-core_4.1+Debian11ubuntu6.2_amd64.deb
	wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-invalid-mta_4.1+Debian11ubuntu6.2_all.deb
else
	# 32bit
	wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-security_4.1+Debian11ubuntu6.2_i386.deb
	wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-core_4.1+Debian11ubuntu6.2_i386.deb
	wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-invalid-mta_4.1+Debian11ubuntu6.2_all.deb
fi
dpkg -i *.deb
apt -f install
dpkg -i *.deb

# Download the printer drivers
echo -e "\nIm naechsten Schritt kaeme nun der Download des aktuellen Druckertreibers von der Herstellerseite.\n\nDein Standardbrowser sollte sich nun oeffnen und Du solltest die Eintraege 'wf-5190' und 'Linux' sehen. Wenn dem nicht so ist, trage sie bitte manuell ein.\n\nSollte sich der Browser nicht automatisch oeffnen, so starte ihn bitte haendisch und rufe die Adresse 'http://download.ebz.epson.net/dsc/search/01/search/?productName=wf-5190&osCode=LX' auf.\n\nEs werden alle drei angeboteten Downloads benoetigt. Bitte speichere die *_i386.deb bzw. *amd64.deb Pakete in Deinem eigenen Downloads-Verzeichnis.\n\nWechsel bitte nach dem erfolgreichen Download zurueck in dieses Terminalfenster."
cd ~/Downloads
default-web-browser http://download.ebz.epson.net/dsc/search/01/search/?productName=wf-5190&osCode=LX &
# alternativ: x-www-browser http://download.ebz.epson.net/dsc/search/01/search/?productName=wf-5190&osCode=LX &
# alternativ: wget http://download.ebz.epson.net/dsc/op/stable/debian/dists/lsb3.2/main/binary-i386/epson-inkjet-printer-escpr_1.4.1-1lsb3.2_i386.deb
# alternativ: wget http://download.ebz.epson.net/dsc/op/stable/debian/dists/lsb3.2/main/binary-amd64/epson-inkjet-printer-escpr_1.4.1-1lsb3.2_amd64.deb
read -p "Wenn der Download abgeschlossen ist, bitte eine Taste druecken, um fortzufahren oder Strg+C zum Abbrechen..." -n1 -s
echo

# Install downloaded .deb Packages
echo -e "\nJetzt installieren wir die soeben heruntergeladenen Pakete.\n"
read -p "Bitte eine Taste druecken, um fortzufahren oder Strg+C zum Abbrechen..." -n1 -s
echo
dpkg -i *.deb
apt -f install
dpkg -i *.deb

# Finish
echo -e "\nSo, wir sind nun fertig. Bitte konfiguriere nun Deinen Drucker über die entsprechenden Einstellungsdialoge.\n"
read -p "Bitte eine Taste druecken, um fortzufahren oder Strg+C zum Abbrechen..." -n1 -s
echo
mate-control-center &
exit 0

Download: install_wf5190.bsh.txt , install_wf5190.zip

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.

Diese Website verwendet Akismet, um Spam zu reduzieren. Erfahre mehr darüber, wie deine Kommentardaten verarbeitet werden.